Subject: bug#35994: Remove leading '*' from defcustom docstring todo considered done

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 30 May 2019 02:48:49 +0100

severity 35994 minor
quit

Stefan Kangas <[email-masked]> writes:

> I looked into the following item in etc/TODO:
>
>> ** Remove any leading '*'s from defcustom doc-strings.
>> [done?] [A lot of them are in CC Mode.]
>
> I couldn't find one example.  Therefore, I propose that this should be
> considered done.  I've attached a patch that removes the TODO.
>
> I carried out the following steps, in case anyone wants to verify:
>
> 1. find . -type f -name "*.el" -exec grep -Hn -A20 "(defcustom" {} \; > output
> 2. grep '\*' output > output.filtered
> 3. Checked output.filtered manually (<< least fun step)

There is also at least one defface (ibuffer-locked-buffer), and the
defvars in lisp/obsolete/cc-compat.el (I just did a quick rgrep '^  "\*').

Thanks,

-- 
Basil